"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapActions = exports.mapMutations = exports.mapGetters = exports.mapState = void 0;
const vue_1 = require("vue");
const vuex_1 = require("vuex");
const mapState = () => {
    const store = (0, vuex_1.useStore)();
    return Object.fromEntries(Object.keys(store.state).map(key => [key, (0, vue_1.computed)(() => store.state[key])]));
};
exports.mapState = mapState;
const mapGetters = () => {
    const store = (0, vuex_1.useStore)();
    return Object.fromEntries(Object.keys(store.getters).map(getter => [getter, (0, vue_1.computed)(() => store.getters[getter])]));
};
exports.mapGetters = mapGetters;
const mapMutations = () => {
    const store = (0, vuex_1.useStore)();
    return Object.fromEntries(
    // @ts-expect-error
    Object.keys(store._mutations).map(
    // @ts-expect-error
    mutation => [mutation, value => store.commit(mutation, value)]));
};
exports.mapMutations = mapMutations;
const mapActions = () => {
    const store = (0, vuex_1.useStore)();
    return Object.fromEntries(
    // @ts-expect-error
    Object.keys(store._actions).map(
    // @ts-expect-error
    action => [action, async (value) => await store.dispatch(action, value)]));
};
exports.mapActions = mapActions;
